# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Expect.pm) perl(File/Slurp.pm) perl(File/Spec/Functions.pm) perl(IPC/Open3.pm) perl(Term/ReadLine.pm) perl(Text/ParseWords.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Net-SFTP-Foreign
%global real_version 1.74_05
Version:	1.74.05
Release:	alt1_5
Summary:	SSH File Transfer Protocol client

Group:		Development/Perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Net-SFTP-Foreign
Source0:	http://cpan.metacpan.org/authors/id/S/SA/SALVA/Net-SFTP-Foreign-%{real_version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(warnings/register.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(lib.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(Cwd.pm)
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Symbol.pm)
BuildRequires:	perl(Errno.pm)
BuildRequires:	perl(Fcntl.pm)
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(IO/File.pm)
BuildRequires:	perl(IO/Dir.pm)
BuildRequires:	perl(Time/HiRes.pm)
BuildRequires:	perl(Math/BigInt.pm)
BuildRequires:	perl(Encode.pm)
BuildRequires:	perl(Net/SFTP.pm)
BuildRequires:	perl(POSIX.pm)
BuildRequires:	perl(Tie/Handle.pm)


Requires:	perl(Encode.pm)
#Requires:	perl(bytes) # Needed only in Perl <= 5.8.x
Requires:	perl(IO/File.pm)
Requires:	perl(IO/Dir.pm)
Requires:	perl(Sort/Key.pm)
Requires:	perl(IO/Pty.pm)
Requires:	perl(Math/BigInt.pm)
Requires:	openssh-clients



Source44: import.info


%description
Net::SFTP::Foreign is a Perl client for the SFTP version 3 as defined in the SSH
File Transfer Protocol IETF draft, draft-ietf-secsh-filexfer-02.txt, included on
this package distribution, on the rfc directory.

Net::SFTP::Foreign uses any compatible ssh command installed on the system (for
instance, OpenSSH ssh) to establish the secure connection to the remote server.

A wrapper module Net::SFTP::Foreign::Compat is also provided for compatibility
with Net::SFTP.


%prep
%setup -q -n Net-SFTP-Foreign-%{real_version}
rm lib/Net/SFTP/Foreign/Backend/Windows.pm


%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc LICENSE Changes README debug.txt TODO rfc samples
%{perl_vendor_privlib}/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.74.05-alt1_5
- initial fc import

